Bug 52493 - Add java7 support
Add java7 support
Product: Tomcat Modules
Classification: Unclassified
Component: jdbc-pool
PC Linux
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
: PatchAvailable
Depends on:
  Show dependency tree
Reported: 2012-01-21 21:34 UTC by Ivan Afonichev
Modified: 2012-03-20 16:14 UTC (History)
0 users

DataSourceProxy patch (977 bytes, patch)
2012-01-21 21:36 UTC, Ivan Afonichev
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivan Afonichev 2012-01-21 21:34:43 UTC
We need CommonDataSource's getParentLogger() method to be implemented for java7 support.
Comment 1 Ivan Afonichev 2012-01-21 21:36:05 UTC
Created attachment 28183 [details]
DataSourceProxy patch
Comment 2 Filip Hanik 2012-01-23 22:40:10 UTC
This patch would break the 1.5 compatibility for the jdbc-pool as the class SQLFeatureNotSupportedException is not available in 1.5

Comment 3 dmdabbs 2012-01-24 01:58:24 UTC
FWIW, Java 5 reached its end-of-life in Oct 2009.
Comment 4 dmdabbs 2012-01-24 02:00:07 UTC
Sorry, but I forgot to provide the relevant link: http://www.oracle.com/technetwork/java/eol-135779.html
Comment 5 Chuck Caldarale 2012-01-24 02:06:21 UTC
(In reply to comment #3)
> FWIW, Java 5 reached its end-of-life in Oct 2009.

Pretty much irrelevant, since the reality is that many sites are still using Java 5, and support for Java 5 is available to anyone willing to pay.
Comment 6 Ivan Afonichev 2012-01-24 20:09:00 UTC
Why people using so old Java need latest tomcat? :(
Maybe if they enjoy paying for java support we can provide them some special (un)patched version for some donations? :)